/***************************************************************************
 *                                                                         *
 *   copyright (C) 2003 by Michael Buesch                                  *
 *   email: mbuesch@freenet.de                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include "getmasterpwwndimpl.h"

#include <qlineedit.h>

GetMasterPwWndImpl::GetMasterPwWndImpl(QWidget * parent, const char *name)
: getMasterPwWnd(parent, name)
{
}

GetMasterPwWndImpl::~GetMasterPwWndImpl()
{
}

void GetMasterPwWndImpl::okButton_slot()
{
	if (pwLineEdit->text() != "")
		done(1);
}

void GetMasterPwWndImpl::cancelButton_slot()
{
	done(2);
}

#include "getmasterpwwndimpl.moc"
