/***************************************************************************
 *                                                                         *
 *   copyright (C) 2004 by Michael Buesch                                  *
 *   email: mbuesch@freenet.de                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2        *
 *   as published by the Free Software Foundation.                         *
 *                                                                         *
 ***************************************************************************/

#include "listviewpwm.h"
#include "pwmexception.h"

ListViewPwM::ListViewPwM(QWidget *parent, const char *name)
 : KListView(parent, name)
{
//	setResizeMode(QListView::AllColumns);
}

bool ListViewPwM::event(QEvent *e)
{
	if (e->type() == QEvent::LayoutHint)
		emit layoutChanged();
	return KListView::event(e);
}

#include "listviewpwm.moc"
